Module | Merb::SessionMixin
In: | lib/merb-core/dispatch/session.rb

This is mixed into Merb::Controller on framework boot.

### Methods

included needs_new_cookie! needs_new_cookie? rand_uuid session

### Classes and Modules

Module Merb::SessionMixin::RequestMixin
Class Merb::SessionMixin::NoSessionContainer
Class Merb::SessionMixin::SessionOverflow

### Public Class methods

included(base)

:api: private

### Public Instance methods

needs_new_cookie!()

Marks this session as needing a new cookie.

:api: private

needs_new_cookie?()

Does session need new cookie?

#### Returns

Boolean: | true if a new cookie is needed, false otherwise.

:api: private

rand_uuid()

#### Returns

String: | A random 32 character string for use as a unique session ID.

:api: private

session(session_store = nil)

#### Parameters

session_store<String>: | The type of session store to access.

#### Returns

SessionContainer: | The session that was extracted from the request object.

:api: public

[Validate]